%global summary Parsing and querying distribution metadata stored in text/YAML files
%global desc\
distroinfo is a python module for parsing, validating and querying\
distribution/packaging metadata stored in human readable and review-able\
text/YAML files.\
\
distroinfo is a generic (re)implementation of rdoinfo parser which proved\
well suited for the task of interfacing with distribution metadata in a human\
friendly way. If you consider code reviews human friendly, that is.\

Name:             python-distroinfo
Version:          0.6.2
Release:    1%{?dist}
Summary:          %{summary}
License:          ASL 2.0
URL:              https://github.com/softwarefactory-project/distroinfo
Source0:          https://pypi.io/packages/source/d/distroinfo/distroinfo-%{version}.tar.gz
BuildArch:        noarch

%description %desc


%package -n python3-distroinfo
Summary:          %{summary}
Requires:         git-core
Requires:         python3-pbr
Requires:         python3-PyYAML
Requires:         python3-requests
Requires:         python3-six
BuildRequires:    python3-setuptools
BuildRequires:    python3-devel
BuildRequires:    python3-pbr
BuildRequires:    git-core
BuildRequires:    python3-pytest-runner
BuildRequires:    python3-requests
BuildRequires:    python3-PyYAML
BuildRequires:    python3-six

%description -n python3-distroinfo %{desc}

%prep
%setup -q -n distroinfo-%{version}

rm -f {test-,}requirements.txt

%build
%py3_build

%check
%{__python3} setup.py test

%install
%py3_install

%files -n python3-distroinfo
%doc README.rst AUTHORS
%license LICENSE
%{python3_sitelib}/distroinfo
%{python3_sitelib}/distroinfo-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.6.2-1
- initial build
